osl::PtypeTraits< PBISHOP > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< PBISHOP > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =PBISHOP
static const int | moveMask
static const Ptype | basicType =BISHOP
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

### template<>
struct osl::PtypeTraits< PBISHOP >

Definition at line 213 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< PBISHOP >::csaName | ( | ) |  |
| inlinestatic

Definition at line 221 of file ptypeTraits.h.

static const char* osl::PtypeTraits< PBISHOP >::name | ( | ) |  |
| inlinestatic

Definition at line 220 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< PBISHOP >::basicType =BISHOP
| static

Definition at line 227 of file ptypeTraits.h.

const bool osl::PtypeTraits< PBISHOP >::betterToPromote =true
| static

Definition at line 218 of file ptypeTraits.h.

const bool osl::PtypeTraits< PBISHOP >::canPromote =false
| static

Definition at line 216 of file ptypeTraits.h.

const int osl::PtypeTraits< PBISHOP >::indexMin =PtypeTraits<basicType>::indexMin
| static

Definition at line 228 of file ptypeTraits.h.

const bool osl::PtypeTraits< PBISHOP >::isBasic =false
| static

Definition at line 215 of file ptypeTraits.h.

const int osl::PtypeTraits< PBISHOP >::moveMask
| static

Initial value:
=
DirectionTraits<LONG_UL>::mask|DirectionTraits<LONG_UR>::mask
|DirectionTraits<LONG_DL>::mask|DirectionTraits<LONG_DR>::mask
|DirectionTraits<U>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask

Definition at line 222 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< PBISHOP >::moveType =PBISHOP
| static

Definition at line 219 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h